<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Jul 16 20:56:32 CLT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>S-Index</title>
<meta name="date" content="2018-07-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../controllers/AutorController.html#save--">save()</a></span> - Method in class controllers.<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a></dt>
<dd>
<div class="block">Metodo para gatillar el guardar de la clase Autor, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/CategoriaController.html#save--">save()</a></span> - Method in class controllers.<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></dt>
<dd>
<div class="block">Metodo para gatillar el guardar de la clase categoria, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/EditorialController.html#save--">save()</a></span> - Method in class controllers.<a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a></dt>
<dd>
<div class="block">Metodo para gatillar el guardar de la clase Editorial, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/EstadoController.html#save--">save()</a></span> - Method in class controllers.<a href="../controllers/EstadoController.html" title="class in controllers">EstadoController</a></dt>
<dd>
<div class="block">Metodo para gatillar el guardar de la clase Estado, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/IdiomaController.html#save--">save()</a></span> - Method in class controllers.<a href="../controllers/IdiomaController.html" title="class in controllers">IdiomaController</a></dt>
<dd>
<div class="block">Metodo para gatillar el guardar de la clase Idioma, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/LibroController.html#save--">save()</a></span> - Method in class controllers.<a href="../controllers/LibroController.html" title="class in controllers">LibroController</a></dt>
<dd>
<div class="block">Metodo para gatillar el guardar de la clase Libro, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#save--">save()</a></span> - Method in class controllers.<a href="../controllers/MetodoDePagoController.html" title="class in controllers">MetodoDePagoController</a></dt>
<dd>
<div class="block">Metodo para gatillar el guardar de la clase MetodoDePago, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#save--">save()</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Categoria.html#save--">save()</a></span> - Method in class models.<a href="../models/Categoria.html" title="class in models">Categoria</a></dt>
<dd>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Editorial.html#save--">save()</a></span> - Method in class models.<a href="../models/Editorial.html" title="class in models">Editorial</a></dt>
<dd>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea caso contrario
 se actualiza en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Estado.html#save--">save()</a></span> - Method in class models.<a href="../models/Estado.html" title="class in models">Estado</a></dt>
<dd>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Idioma.html#save--">save()</a></span> - Method in class models.<a href="../models/Idioma.html" title="class in models">Idioma</a></dt>
<dd>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#save--">save()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/MetodoDePago.html#save--">save()</a></span> - Method in class models.<a href="../models/MetodoDePago.html" title="class in models">MetodoDePago</a></dt>
<dd>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/AutorEditNew.html#set_autor_controller-controllers.AutorController-">set_autor_controller(AutorController)</a></span> - Method in class views.<a href="../views/AutorEditNew.html" title="class in views">AutorEditNew</a></dt>
<dd>
<div class="block">Tiene como parametro una instancia de AutorController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/CategoryEditNew.html#set_cat_controller-controllers.CategoriaController-">set_cat_controller(CategoriaController)</a></span> - Method in class views.<a href="../views/CategoryEditNew.html" title="class in views">CategoryEditNew</a></dt>
<dd>
<div class="block">Tiene como parametro una instancia de CategoriaController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/EstadoEditNew.html#set_estado_controller-controllers.EstadoController-">set_estado_controller(EstadoController)</a></span> - Method in class views.<a href="../views/EstadoEditNew.html" title="class in views">EstadoEditNew</a></dt>
<dd>
<div class="block">Tiene como parametro una instancia de EstadoController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/IdiomaEditNew.html#set_idioma_controller-controllers.IdiomaController-">set_idioma_controller(IdiomaController)</a></span> - Method in class views.<a href="../views/IdiomaEditNew.html" title="class in views">IdiomaEditNew</a></dt>
<dd>
<div class="block">Tiene como parametro una instancia de IdiomaController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/LibroEditNew.html#set_libro_controller-controllers.LibroController-">set_libro_controller(LibroController)</a></span> - Method in class views.<a href="../views/LibroEditNew.html" title="class in views">LibroEditNew</a></dt>
<dd>
<div class="block">Tiene como parametro una instancia de LibroController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/EditorialEditNew.html#set_metodo_de_pago_controller-controllers.EditorialController-">set_metodo_de_pago_controller(EditorialController)</a></span> - Method in class views.<a href="../views/EditorialEditNew.html" title="class in views">EditorialEditNew</a></dt>
<dd>
<div class="block">Tiene como parametro una instancia de EditorialController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/MetodoDePagoEditNew.html#set_metodo_de_pago_controller-controllers.MetodoDePagoController-">set_metodo_de_pago_controller(MetodoDePagoController)</a></span> - Method in class views.<a href="../views/MetodoDePagoEditNew.html" title="class in views">MetodoDePagoEditNew</a></dt>
<dd>
<div class="block">Tiene como parametro una instancia de MetodoDePagoController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setAnio-int-">setAnio(int)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el valor de anio</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#setApellido_materno-java.lang.String-">setApellido_materno(String)</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Setea el valor de apellido_materno</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#setApellido_paterno-java.lang.String-">setApellido_paterno(String)</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Setea el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setAutores_objects-java.util.ArrayList-">setAutores_objects(ArrayList&lt;AutorController&gt;)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea los objectos de autores_objects</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setCategorias_objects-java.util.ArrayList-">setCategorias_objects(ArrayList&lt;CategoriaController&gt;)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea los objectos de categorias_objects</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setEditorial-controllers.EditorialController-">setEditorial(EditorialController)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el objecto de editorial</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setEditorial_id-int-">setEditorial_id(int)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el valor de editorial_id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Estado.html#setEstado-java.lang.String-">setEstado(String)</a></span> - Method in class models.<a href="../models/Estado.html" title="class in models">Estado</a></dt>
<dd>
<div class="block">Setea el valor de estado</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#setId-int-">setId(int)</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Setea el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Categoria.html#setId-int-">setId(int)</a></span> - Method in class models.<a href="../models/Categoria.html" title="class in models">Categoria</a></dt>
<dd>
<div class="block">Setea el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Editorial.html#setId-int-">setId(int)</a></span> - Method in class models.<a href="../models/Editorial.html" title="class in models">Editorial</a></dt>
<dd>
<div class="block">Setea el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Estado.html#setId-int-">setId(int)</a></span> - Method in class models.<a href="../models/Estado.html" title="class in models">Estado</a></dt>
<dd>
<div class="block">Setea el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Idioma.html#setId-int-">setId(int)</a></span> - Method in class models.<a href="../models/Idioma.html" title="class in models">Idioma</a></dt>
<dd>
<div class="block">Setea el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setId-int-">setId(int)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/MetodoDePago.html#setId-int-">setId(int)</a></span> - Method in class models.<a href="../models/MetodoDePago.html" title="class in models">MetodoDePago</a></dt>
<dd>
<div class="block">Setea el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Idioma.html#setIdioma-java.lang.String-">setIdioma(String)</a></span> - Method in class models.<a href="../models/Idioma.html" title="class in models">Idioma</a></dt>
<dd>
<div class="block">Setea el valor de idioma</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setIds_autores-java.util.ArrayList-">setIds_autores(ArrayList&lt;Integer&gt;)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el arreglo de ids_autores</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setIds_categorias-java.util.ArrayList-">setIds_categorias(ArrayList&lt;Integer&gt;)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el arreglo de ids_categorias</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setIsbn-java.lang.String-">setIsbn(String)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el valor de isbn</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#setNombre-java.lang.String-">setNombre(String)</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Setea el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Categoria.html#setNombre-java.lang.String-">setNombre(String)</a></span> - Method in class models.<a href="../models/Categoria.html" title="class in models">Categoria</a></dt>
<dd>
<div class="block">Setea el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Editorial.html#setNombre-java.lang.String-">setNombre(String)</a></span> - Method in class models.<a href="../models/Editorial.html" title="class in models">Editorial</a></dt>
<dd>
<div class="block">Setea el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/MetodoDePago.html#setNombre-java.lang.String-">setNombre(String)</a></span> - Method in class models.<a href="../models/MetodoDePago.html" title="class in models">MetodoDePago</a></dt>
<dd>
<div class="block">Setea el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setNum_paginas-java.lang.Integer-">setNum_paginas(Integer)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el valor de num_paginas</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setPrecio-float-">setPrecio(float)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el valor de precio</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#setTitulo-java.lang.String-">setTitulo(String)</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Setea el valor de titulo</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
